Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class DIGQueryAllConceptsTranslator

    java.lang.Object
      com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
          com.hp.hpl.jena.reasoner.dig.DIGQueryAllConceptsTranslator

    public class DIGQueryAllConceptsTranslator

extends DIGQueryTranslator

Translator that generates DIG allconcepts queries in response to a find query:

     * rdf:type owl:Class

or similar.

Version:
  Release @release@ ($Id: DIGQueryAllConceptsTranslator.java,v 1.11 2008/01/02 12:07:11 andy_seaborne Exp $)
Author:
  Ian Dickinson, HP Labs (email)

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
`ALL`

Constructor Summary
`DIGQueryAllConceptsTranslator(java.lang.String predicate, java.lang.String object)` Construct a translator for the DIG query all concepts.

Method Summary
`ExtendedIterator` | `find(TriplePattern pattern, DIGAdapter da)` Since known concept names are cached by the adapter, we can just look up the current set and map directly to triples
`org.w3c.dom.Document` | `translatePattern(TriplePattern pattern, DIGAdapter da)` Answer an XML document that presents the translation of the query into DIG query language.
`org.w3c.dom.Document` | `translatePattern(TriplePattern pattern, DIGAdapter da, Model premises)` Answer an XML document that presents the translation of the query into DIG query language, given that either the subject or object may be expressions defined by the statements in the premises model.
`ExtendedIterator` | `translateResponseHook(org.w3c.dom.Document response, TriplePattern query, DIGAdapter da)` Answer an extended iterator over the triples that result from translatig the given DIG response to RDF.

Methods inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
`checkObject, checkPredicate, checkSubject, checkTriple, find, translateResponse, trigger`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGQueryAllConceptsTranslator

    public DIGQueryAllConceptsTranslator(java.lang.String predicate,
                                         java.lang.String object)

  Construct a translator for the DIG query all concepts.

  Parameters:
    `predicate` - The predicate URI to trigger on
    `object` - The object URI to trigger on

Method Detail

### find

    public ExtendedIterator find(TriplePattern pattern,
                                 DIGAdapter da)

  Since known concept names are cached by the adapter, we can just look up the current set and map directly to triples

  Overrides:
    `find` in class `DIGQueryTranslator`
  Parameters:
    `pattern` - The pattern to translate to a DIG query
    `da` - The DIG adapter through which we communicate with a DIG reasoner

### translatePattern

    public org.w3c.dom.Document translatePattern(TriplePattern pattern,
                                                 DIGAdapter da)

  Description copied from class: `DIGQueryTranslator`

  Answer an XML document that presents the translation of the query into DIG query language.

  Specified by:
    `translatePattern` in class `DIGQueryTranslator`

### translatePattern

    public org.w3c.dom.Document translatePattern(TriplePattern pattern,
                                                 DIGAdapter da,
                                                 Model premises)

  Description copied from class: `DIGQueryTranslator`

  Answer an XML document that presents the translation of the query into DIG query language, given that either the subject or object may be expressions defined by the statements in the premises model.

  Specified by:
    `translatePattern` in class `DIGQueryTranslator`

### translateResponseHook

    public ExtendedIterator translateResponseHook(org.w3c.dom.Document response,
                                                  TriplePattern query,
                                                  DIGAdapter da)

  Description copied from class: `DIGQueryTranslator`

  Answer an extended iterator over the triples that result from translatig the given DIG response to RDF.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP